<h1 class="text-center">Statistics {{ date.strftime('%Y/%m/%d') }}</h1>

{% set success_style = 'color:#009900;background-color:#ffffff' %}
{% set warninng_style = 'color:#990000;background-color:#ffffff' %}
<table class="table">


    <thead>
        <tr>
            <th>Metrics</th>
            <th>Value</th>
            <th>Trend</th>
        </tr>
    </thead>


    <thead>
        <tr><th colspan="3">Users</th></tr>
    </thead>
    <tr>
        <td>iOS Daily Active</td>
        <td>{{ ios_users_count }}</td>
        {% set cell_class = warninng_style if ios_users_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(ios_users_count_trend) }}</td>
    </tr>
    <tr>
        <td>Android Daily Active</td>
        <td>{{ android_users_count }}</td>
        {% set cell_class = warninng_style if android_users_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(android_users_count_trend) }}</td>
    </tr>
    <tr>
        <td>Total Daily Active</td>
        <td>{{ users_count }}</td>
        {% set cell_class = warninng_style if users_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(users_count_trend) }}</td>
    </tr>
    <tr>
        <td>iOS New</td>
        <td>{{ ios_new_users_count }}</td>
        {% set cell_class = warninng_style if ios_new_users_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(ios_new_users_count_trend) }}</td>
    </tr>
    <tr>
        <td>Android New</td>
        <td>{{ android_new_users_count }}</td>
        {% set cell_class = warninng_style if android_new_users_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(android_new_users_count_trend) }}</td>
    </tr>
    <tr>
        <td>Total New</td>
        <td>{{ new_users_count }}</td>
        {% set cell_class = warninng_style if new_users_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(new_users_count_trend) }}</td>
    </tr>


    <thead>
        <tr><th colspan="3">Sessions</th></tr>
    </thead>
    <tr>
        <td>Total Count</td>
        <td>{{ session_count }}</td>
        {% set cell_class = warninng_style if session_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(session_count_trend) }}</td>
    </tr>
    <tr>
        <td>Per User Count</td>
        <td>{{ sessions_per_user }}</td>
        {% set cell_class = warninng_style if sessions_per_user_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(sessions_per_user_trend) }}</td>
    </tr>
    <tr>
        <td>Average Duration (seconds)</td>
        <td>{{ '{:.1f}'.format(session_duration_mean) }}</td>
        {% set cell_class = warninng_style if session_duration_mean_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+.1f}'.format(session_duration_mean_trend) }}</td>
    </tr>


    <thead>
        <tr><th colspan="3">Media</th></tr>
    </thead>
    <tr>
        <td>Average Player Watching (seconds)</td>
        <td>{{ '{:.1f}'.format(player_duration_median) }}</td>
        {% set cell_class = warninng_style if player_duration_median_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+.1f}'.format(player_duration_median_trend) }}</td>
    </tr>
    <tr>
        <td>Total Player Watching (seconds)</td>
        <td>{{ '{:.0f}'.format(player_duration_sum) }}</td>
        {% set cell_class = warninng_style if player_duration_sum_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+.0f}'.format(player_duration_sum_trend) }}</td>
    </tr>
    <tr>
        <td>Live Streams Watched</td>
        <td>{{ livestream_watched_count }}</td>
        {% set cell_class = warninng_style if livestream_watched_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(livestream_watched_count_trend) }}</td>
    </tr>
    <tr>
        <td>Videos Watched</td>
        <td>{{ video_watched_count }}</td>
        {% set cell_class = warninng_style if video_watched_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(video_watched_count_trend) }}</td>
    </tr>
    <tr>
        <td>Videos Uniq Watched</td>
        <td>{{ video_watched_uniq_count }}</td>
        {% set cell_class = warninng_style if video_watched_uniq_count_trend < 0 else success_style %}
        <td style="{{ cell_class }}">{{ '{:+}'.format(video_watched_uniq_count_trend) }}</td>
    </tr>

    <thead>
        <tr><th colspan="3">Navigation</th></tr>
    </thead>
    <tr>
        <td>Video from Highlights</td>
        <td>{{ nav_highlight_video }}</td>
        <td></td>
    </tr>
    <tr>
        <td>Video from Library</td>
        <td>{{ nav_library_video }}</td>
        <td></td>
    </tr>
        <tr>
        <td>Live Stream from Highlights</td>
        <td>{{ nav_highlight_livestream }}</td>
        <td></td>
    </tr>
    <tr>
        <td>Live Stream from Event</td>
        <td>{{ nav_event_livestream }}</td>
        <td></td>
    </tr>
</table>
